import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { Package } from "./package.js";
import { updateMotion } from "./update-motion.js";
import { makeMotionValueUpdateOperations, insertMotion, makeMotionInsertOperations } from "./main.js";
import { getSubscriptionHandler } from "./react/get-subscription-handler.js";
export declare function createMotionDecorator<TDeepClient extends DeepClientInstance>(deep: TDeepClient): MotionDecorator<TDeepClient>;
export type MotionDecorator<TDeepClient extends DeepClientInstance = DeepClientInstance> = TDeepClient & {
    "@deep-foundation/capacitor-motion": Package;
    capacitorMotionPackage: Package;
    getSubscriptionHandler: typeof getSubscriptionHandler;
    insertMotion: typeof insertMotion;
    makeMotionInsertOperations: typeof makeMotionInsertOperations;
    makeMotionValueUpdateOperations: typeof makeMotionValueUpdateOperations;
    updateMotion: typeof updateMotion;
};
