import { Package } from "./package.js";
import { updateMotion } from "./update-motion.js";
import { WithMotionSync, makeMotionValueUpdateOperations, useMotionSync, insertMotion, makeMotionInsertOperations, useAccelerationSync } from "./main.js";
import { packageLog } from "./package-log.js";
import { getSubscriptionHandler } from "./react/get-subscription-handler.js";
export function createMotionDecorator(deep) {
    const log = packageLog.extend(`@deep-foundation/capacitor-motion:${createMotionDecorator.name}`);
    const _package = new Package({ deep });
    const decorator = {
        ...deep,
        capacitorMotionPackage: _package,
        "@deep-foundation/capacitor-motion": _package,
        getSubscriptionHandler,
        useAccelerationSync,
        useOrientationSync: useAccelerationSync,
        useMotionSync: useMotionSync,
        WithMotionSync: WithMotionSync,
        insertMotion: insertMotion,
        makeMotionInsertOperations: makeMotionInsertOperations,
        makeMotionValueUpdateOperations: makeMotionValueUpdateOperations,
        updateMotion: updateMotion,
    };
    Object.setPrototypeOf(decorator, Object.getPrototypeOf(deep));
    log({ decorator });
    return decorator;
}
