import { DeepClientInstance, SerialOperation } from '@deep-foundation/deeplinks/imports/client.js';
import { MotionInfo } from './motion-info.js';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks.js';
import { MotionDecorator } from './create-motion-decorator.js';
/**
  * Gets serial operations to insert Motion
  *
  * @example
 ```ts
 const serialOperations = await getMotionValueInsertSerialOperations({
   deep
 });
 await deep.serial({
   operations: serialOperations
 })
 ```
  */
export declare function makeMotionValueUpdateOperations<TDeepClient extends DeepClientInstance>(this: MotionDecorator<TDeepClient>, options: MakeMotionValueUpdateSerialOperationsOptions): Promise<Array<SerialOperation>>;
export type MakeMotionValueUpdateSerialOperationsOptions = {
    /**
     * Motion Info
     */
    info: MotionInfo;
} & ({
    /**
     * Motion Link Id
     */
    motionLinkId: number;
} | {
    /**
     * Motion Link
     */
    motionLink: Link<number>;
});
