/// <reference types="react" />
import { UseAccelerationSyncOptions } from "../hooks/use-acceleration-sync.js";
/**
 * A component wrapper for {@link useOrientationSync}
 *
 * @remarks
 * Render this component when {@link WithOrientationSyncOptions.deep} and {@link WithOrientationSyncOptions.deviceLinkId} are ready
 *
 * @example
```tsx
function MyComponent(deep, deviceLinkId) {
   return deep.linkId && deviceLinkId ?
      <WithAccelerationSync deep={deep} deviceLinkId={deviceLinkId} /> :
      null;
}
```
 */
export declare function WithAccelerationSync(options: WithAccelerationSyncOptions): JSX.Element | undefined;
export type WithAccelerationSyncOptions = UseAccelerationSyncOptions & {
    children?: JSX.Element;
};
