/// <reference types="react" />
import { WithAccelerationSyncOptions } from "./with-acceleration-sync.js";
import { WithOrientationSyncOptions } from "./with-orientation-sync.js";
/**
 * A component wrapper for {@link WithAccelerationSync} and {@link WithOrientationSync}
 *
 * @remarks
 * Render this component when {@link WithMotionSyncOptions.deep} and {@link WithMotionSyncOptions.deviceLinkId} are ready
 *
 * @example
```tsx
function MyComponent(deep, deviceLinkId) {
   return deep.linkId && deviceLinkId ?
      <WithMotionSync deep={deep} deviceLinkId={deviceLinkId} /> :
      null;
}
```
 */
export declare function WithMotionSync(options: WithMotionSyncOptions): JSX.Element | null;
export type WithMotionSyncOptions = WithAccelerationSyncOptions & WithOrientationSyncOptions;
