import { useMotionSync } from "../hooks/use-motion-sync.js";
/**
 * A component wrapper for {@link WithAccelerationSync} and {@link WithOrientationSync}
 *
 * @remarks
 * Render this component when {@link WithMotionSyncOptions.deep} and {@link WithMotionSyncOptions.deviceLinkId} are ready
 *
 * @example
```tsx
function MyComponent(deep, deviceLinkId) {
   return deep.linkId && deviceLinkId ?
      <WithMotionSync deep={deep} deviceLinkId={deviceLinkId} /> :
      null;
}
```
 */
export function WithMotionSync(options) {
    useMotionSync(options);
    return options.children ?? null;
}
