import { Device } from "@capacitor/device";
import { useState, useEffect } from "react";
export function WithOperatingSystemChecking(options) {
    const { renderIfNotSupported, renderIfSupported, renderIfLoading } = options;
    const [operatingSystem, setOperatingSystem] = useState(undefined);
    useEffect(() => {
        Device.getInfo().then(deviceInfo => {
            setOperatingSystem(deviceInfo.operatingSystem);
        });
    }, []);
    if (operatingSystem === undefined) {
        return renderIfLoading();
    }
    else if (operatingSystem === 'android' || operatingSystem === 'ios') {
        return renderIfSupported();
    }
    else {
        return renderIfNotSupported();
    }
}
