import { MotionDecorator } from '../../create-motion-decorator.js';
/**
 * This hook subscribes to the acceleration event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithAccelerationSync}
 *
 * @example
```ts
useAccelerationSync({
    containerLinkId
})
```
 */
export declare function useAccelerationSync(options: UseAccelerationSyncOptions): void;
export interface UseAccelerationSyncOptions {
    deep: MotionDecorator;
    /**
     * A container link id
     *
     * @defaultValue deep.linkId
     */
    containerLinkId?: number;
}
