import { MotionDecorator } from '../../create-motion-decorator.js';
/**
 * This hook subscribes to the acceleration and motion event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithMotionSync}
 *
 * @example
```ts
useMotionSync({
    containerLinkId
})
```
 */
export declare function useMotionSync(options: UseMotionSyncOptions): void;
export interface UseMotionSyncOptions {
    /**
     * A Deep client instance
     */
    deep: MotionDecorator;
    /**
     * A container link id
     *
     * @defaultValue deep.linkId
     */
    containerLinkId?: number;
}
