import { Package } from '../../package.js';
import { useAccelerationSync } from './use-acceleration-sync.js';
import { packageLog } from '../../package-log.js';
/**
 * This hook subscribes to the acceleration and motion event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithMotionSync}
 *
 * @example
```ts
useMotionSync({
    containerLinkId
})
```
 */
export function useMotionSync(options) {
    const { deep, containerLinkId = deep.linkId } = options;
    const $package = new Package({ deep: deep });
    const debug = packageLog.extend(useMotionSync.name);
    debug({ options });
    useAccelerationSync({ deep, containerLinkId });
}
