import { MotionDecorator } from "../../create-motion-decorator.js";
/**
 * This hook subscribes to the orientation event and saves the data to Deep
 *
 * @remarks
 * It is not recommended to use this hook directly. Instead of {@link WithOrientationSync}
 *
 * @exaple
```ts
useOrientationSync({
      containerLinkId
})
```
 */
export declare function useOrientationSync(options: UseOrientationSyncOptions): void;
export interface UseOrientationSyncOptions {
    /**
     * A Deep client instance
     */
    deep: MotionDecorator;
    /**
     * A container link id
     *
     * @defaultValue deep.linkId
     */
    containerLinkId?: number;
}
