import { SubscribeToMotionChangesOptions } from './subscribe-to-motion-changes-options.js';
import { MotionDecorator } from './create-motion-decorator.js';
/**
 * Subscribes to acceleration changes and saves them
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Acceleration data is saved by using {@link makeMotionValueUpdateOperations} with {@link GetMotionInsertSerialOperationsOptions.containerLinkId} set to {@link SubscribeToMotionChangesOptions.deviceLinkId}
 *
 * @example
```ts
#### Subscribe to acceleration changes
```ts
const accelerationHandler = await subscribeToAccelerationChanges({
    deviceLinkId,
});
```
```
 */
export declare function subscribeToAccelerationChanges(this: MotionDecorator, options: SubscribeToMotionChangesOptions): Promise<import("@capacitor/core").PluginListenerHandle>;
