import { SubscribeToMotionChangesOptions } from './subscribe-to-motion-changes-options.js';
import { MotionDecorator } from './create-motion-decorator.js';
/**
 * Subscribes to orientation changes and saves them
 *
 * @remarks
 * Motion permissions should be granted before calling this function by using {@link requestMotionPermissions}
 * Orientation data is saved by using {@link makeMotionValueUpdateOperations} with {@link GetMotionInsertSerialOperationsOptions.containerLinkId} set to {@link SubscribeToMotionChangesOptions.deviceLinkId}
 *
 * @example
```ts
#### Subscribe to orientation changes
```ts
const newOrientationHandler = await subscribeToOrientationChanges({
    deviceLinkId,
});
```
```
 */
export declare function subscribeToOrientationChanges(this: MotionDecorator, options: SubscribeToMotionChangesOptions): Promise<import("@capacitor/core").PluginListenerHandle>;
